Bug 16054 - Plack - variable scope error in paycollect.pl
Summary: Plack - variable scope error in paycollect.pl
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 7172
  Show dependency treegraph
 
Reported: 2016-03-11 12:45 UTC by Jonathan Druart
Modified: 2016-12-05 21:25 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16054: Fix variable scope error in paycollect.pl (2.00 KB, patch)
2016-03-11 12:49 UTC, Jonathan Druart
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 16054: Fix variable scope error in paycollect.pl (2.06 KB, patch)
2016-03-14 00:15 UTC, Srdjan Jankovic
Details | Diff | Splinter Review
Bug 16054: Fix variable scope error in paycollect.pl (2.10 KB, patch)
2016-03-14 19:09 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2016-03-11 12:45:55 UTC

    
Comment 1 Jonathan Druart 2016-03-11 12:49:28 UTC Comment hidden (obsolete)
Comment 2 Srdjan Jankovic 2016-03-14 00:15:24 UTC Comment hidden (obsolete)
Comment 3 Tomás Cohen Arazi 2016-03-14 19:09:59 UTC
Created attachment 49148 [details] [review]
Bug 16054: Fix variable scope error in paycollect.pl

$borrower, $borrowernumber and $template and not visible in the
subroutine.
Using $b_ref and passing $template fixes the issue.

Test plan:
Under plack, use the pay selected button.
On the paycollect page, you should see the image of the patron

It certainly fixes some other bugs.

Signed-off-by: Srdjan <srdjan@catalyst.net.nz>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 4 Brendan Gallagher 2016-03-15 07:13:55 UTC
Pushed to Master - Should be in the May 2016 release.  Thanks!
Comment 5 Julian Maurice 2016-03-17 07:54:37 UTC
Patch pushed to 3.22.x, will be in 3.22.5
Comment 6 Frédéric Demians 2016-03-23 12:51:19 UTC
Pushed to 3.20.x, will be in 3.20.10